<script setup lang="ts">
import type { BlogPage } from '@/types/blog';

const props = defineProps<{ post: BlogPage }>();
const categorySlug = toKebabCase(props.post.content.category);
</script>

<template>
  <div class="card">
    <a
      :href="`/blog/categories/${categorySlug}/`"
      :data-ga-name="post.content.category.toLowerCase()"
      data-ga-location="post-card"
    >
      <SlpTypography v-if="post.content.category" variant="body1" tag="span">
        {{ post.content.category }}
      </SlpTypography>
    </a>
    <a
      :href="post.config.externalUrl || `/blog/${post.config.slug}`"
      class="card-body"
      :data-ga-name="post.content.title.toLowerCase()"
      data-ga-location="post-card"
    >
      <NuxtImg v-if="post.content.heroImage" loading="lazy" :src="post.content.heroImage" alt="" />
      <SlpTypography v-if="post.content.title" variant="heading5-bold" tag="h3">{{ post.content.title }}</SlpTypography>
      <SlpTypography v-if="post.content.description" variant="body1" tag="p">
        {{ post.content.description }}
      </SlpTypography>
    </a>
  </div>
</template>

<style lang="scss" scoped>
.card,
.card-body {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}
.card-body {
  color: $color-text-300;
}
.card {
  padding: 16px;

  img {
    width: 318px;
    min-height: 222px;
    height: 222px;
    object-fit: cover;
    @media (max-width: $breakpoint-lg) {
      max-width: 100%;
    }
  }
  &:hover {
    background-color: #f6f3fe;
    transition:
      background 0.3s ease,
      border-radius 0.3s ease !important;
    border-radius: 8px 8px 50px 8px;
  }
}
</style>
